Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/tasks/$TASK_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/tasks/${taskId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/tasks/{task_id}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"taskId": 2001,
"caseId": 1001,
"taskTypeCode": "COLLECTIONS_OUTREACH",
"status": "AVAILABLE",
"priority": "HIGH",
"queueCode": "COLLECTIONS",
"dueAt": "2026-07-26T17: 00:00Z",
"sensitive": false,
"workContext": {
"kind": "CASE",
"resourceId": 1001,
"label": "Collections case"
},
"allowedActions": [
"ACCEPT",
"REASSIGN",
"CANCEL"
],
"allowedOutcomeCodes": [
"CUSTOMER_REACHED",
"NO_ANSWER"
],
"completionFieldDefinitions": {
"sections": []
},
"completionEvidenceIds": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}